commit 08e1f5297dcb14fad67053e5c8db8957d7778034
Author: Chris Mar <cmar@andrew.cmu.edu>
Date:   Fri Oct 8 09:44:17 2010 -0700

    added dimensions file

diff --git a/scoutfly/scoutfly.dimensions.ger b/scoutfly/scoutfly.dimensions.ger
new file mode 100644
index 0000000..84f1b63
--- /dev/null
+++ b/scoutfly/scoutfly.dimensions.ger
@@ -0,0 +1,483 @@
+G75*
+G70*
+%OFA0B0*%
+%FSLAX24Y24*%
+%IPPOS*%
+%LPD*%
+%AMOC8*
+5,1,8,0,0,1.08239X$1,22.5*
+%
+%ADD10C,0.0000*%
+D10*
+X005846Y000816D02*
+X005846Y035816D01*
+X050846Y035816D01*
+X050846Y000816D01*
+X005846Y000816D01*
+X020267Y003533D02*
+X020269Y003559D01*
+X020275Y003585D01*
+X020285Y003610D01*
+X020298Y003633D01*
+X020314Y003653D01*
+X020334Y003671D01*
+X020356Y003686D01*
+X020379Y003698D01*
+X020405Y003706D01*
+X020431Y003710D01*
+X020457Y003710D01*
+X020483Y003706D01*
+X020509Y003698D01*
+X020533Y003686D01*
+X020554Y003671D01*
+X020574Y003653D01*
+X020590Y003633D01*
+X020603Y003610D01*
+X020613Y003585D01*
+X020619Y003559D01*
+X020621Y003533D01*
+X020619Y003507D01*
+X020613Y003481D01*
+X020603Y003456D01*
+X020590Y003433D01*
+X020574Y003413D01*
+X020554Y003395D01*
+X020532Y003380D01*
+X020509Y003368D01*
+X020483Y003360D01*
+X020457Y003356D01*
+X020431Y003356D01*
+X020405Y003360D01*
+X020379Y003368D01*
+X020355Y003380D01*
+X020334Y003395D01*
+X020314Y003413D01*
+X020298Y003433D01*
+X020285Y003456D01*
+X020275Y003481D01*
+X020269Y003507D01*
+X020267Y003533D01*
+X021645Y003533D02*
+X021647Y003559D01*
+X021653Y003585D01*
+X021663Y003610D01*
+X021676Y003633D01*
+X021692Y003653D01*
+X021712Y003671D01*
+X021734Y003686D01*
+X021757Y003698D01*
+X021783Y003706D01*
+X021809Y003710D01*
+X021835Y003710D01*
+X021861Y003706D01*
+X021887Y003698D01*
+X021911Y003686D01*
+X021932Y003671D01*
+X021952Y003653D01*
+X021968Y003633D01*
+X021981Y003610D01*
+X021991Y003585D01*
+X021997Y003559D01*
+X021999Y003533D01*
+X021997Y003507D01*
+X021991Y003481D01*
+X021981Y003456D01*
+X021968Y003433D01*
+X021952Y003413D01*
+X021932Y003395D01*
+X021910Y003380D01*
+X021887Y003368D01*
+X021861Y003360D01*
+X021835Y003356D01*
+X021809Y003356D01*
+X021783Y003360D01*
+X021757Y003368D01*
+X021733Y003380D01*
+X021712Y003395D01*
+X021692Y003413D01*
+X021676Y003433D01*
+X021663Y003456D01*
+X021653Y003481D01*
+X021647Y003507D01*
+X021645Y003533D01*
+X024365Y011524D02*
+X024367Y011546D01*
+X024373Y011568D01*
+X024382Y011588D01*
+X024395Y011606D01*
+X024411Y011622D01*
+X024429Y011635D01*
+X024449Y011644D01*
+X024471Y011650D01*
+X024493Y011652D01*
+X024515Y011650D01*
+X024537Y011644D01*
+X024557Y011635D01*
+X024575Y011622D01*
+X024591Y011606D01*
+X024604Y011588D01*
+X024613Y011568D01*
+X024619Y011546D01*
+X024621Y011524D01*
+X024619Y011502D01*
+X024613Y011480D01*
+X024604Y011460D01*
+X024591Y011442D01*
+X024575Y011426D01*
+X024557Y011413D01*
+X024537Y011404D01*
+X024515Y011398D01*
+X024493Y011396D01*
+X024471Y011398D01*
+X024449Y011404D01*
+X024429Y011413D01*
+X024411Y011426D01*
+X024395Y011442D01*
+X024382Y011460D01*
+X024373Y011480D01*
+X024367Y011502D01*
+X024365Y011524D01*
+X028558Y011800D02*
+X028560Y011836D01*
+X028566Y011871D01*
+X028576Y011906D01*
+X028589Y011939D01*
+X028606Y011970D01*
+X028627Y012000D01*
+X028650Y012027D01*
+X028676Y012051D01*
+X028705Y012072D01*
+X028736Y012090D01*
+X028769Y012104D01*
+X028803Y012115D01*
+X028838Y012122D01*
+X028874Y012125D01*
+X028910Y012124D01*
+X028945Y012119D01*
+X028980Y012110D01*
+X029014Y012098D01*
+X029045Y012081D01*
+X029075Y012062D01*
+X029103Y012039D01*
+X029128Y012013D01*
+X029150Y011985D01*
+X029169Y011955D01*
+X029184Y011922D01*
+X029196Y011888D01*
+X029204Y011853D01*
+X029208Y011818D01*
+X029208Y011782D01*
+X029204Y011747D01*
+X029196Y011712D01*
+X029184Y011678D01*
+X029169Y011645D01*
+X029150Y011615D01*
+X029128Y011587D01*
+X029103Y011561D01*
+X029075Y011538D01*
+X029046Y011519D01*
+X029014Y011502D01*
+X028980Y011490D01*
+X028945Y011481D01*
+X028910Y011476D01*
+X028874Y011475D01*
+X028838Y011478D01*
+X028803Y011485D01*
+X028769Y011496D01*
+X028736Y011510D01*
+X028705Y011528D01*
+X028676Y011549D01*
+X028650Y011573D01*
+X028627Y011600D01*
+X028606Y011630D01*
+X028589Y011661D01*
+X028576Y011694D01*
+X028566Y011729D01*
+X028560Y011764D01*
+X028558Y011800D01*
+X028558Y017233D02*
+X028560Y017269D01*
+X028566Y017304D01*
+X028576Y017339D01*
+X028589Y017372D01*
+X028606Y017403D01*
+X028627Y017433D01*
+X028650Y017460D01*
+X028676Y017484D01*
+X028705Y017505D01*
+X028736Y017523D01*
+X028769Y017537D01*
+X028803Y017548D01*
+X028838Y017555D01*
+X028874Y017558D01*
+X028910Y017557D01*
+X028945Y017552D01*
+X028980Y017543D01*
+X029014Y017531D01*
+X029045Y017514D01*
+X029075Y017495D01*
+X029103Y017472D01*
+X029128Y017446D01*
+X029150Y017418D01*
+X029169Y017388D01*
+X029184Y017355D01*
+X029196Y017321D01*
+X029204Y017286D01*
+X029208Y017251D01*
+X029208Y017215D01*
+X029204Y017180D01*
+X029196Y017145D01*
+X029184Y017111D01*
+X029169Y017078D01*
+X029150Y017048D01*
+X029128Y017020D01*
+X029103Y016994D01*
+X029075Y016971D01*
+X029046Y016952D01*
+X029014Y016935D01*
+X028980Y016923D01*
+X028945Y016914D01*
+X028910Y016909D01*
+X028874Y016908D01*
+X028838Y016911D01*
+X028803Y016918D01*
+X028769Y016929D01*
+X028736Y016943D01*
+X028705Y016961D01*
+X028676Y016982D01*
+X028650Y017006D01*
+X028627Y017033D01*
+X028606Y017063D01*
+X028589Y017094D01*
+X028576Y017127D01*
+X028566Y017162D01*
+X028560Y017197D01*
+X028558Y017233D01*
+X023657Y017509D02*
+X023659Y017531D01*
+X023665Y017553D01*
+X023674Y017573D01*
+X023687Y017591D01*
+X023703Y017607D01*
+X023721Y017620D01*
+X023741Y017629D01*
+X023763Y017635D01*
+X023785Y017637D01*
+X023807Y017635D01*
+X023829Y017629D01*
+X023849Y017620D01*
+X023867Y017607D01*
+X023883Y017591D01*
+X023896Y017573D01*
+X023905Y017553D01*
+X023911Y017531D01*
+X023913Y017509D01*
+X023911Y017487D01*
+X023905Y017465D01*
+X023896Y017445D01*
+X023883Y017427D01*
+X023867Y017411D01*
+X023849Y017398D01*
+X023829Y017389D01*
+X023807Y017383D01*
+X023785Y017381D01*
+X023763Y017383D01*
+X023741Y017389D01*
+X023721Y017398D01*
+X023703Y017411D01*
+X023687Y017427D01*
+X023674Y017445D01*
+X023665Y017465D01*
+X023659Y017487D01*
+X023657Y017509D01*
+X009287Y011524D02*
+X009289Y011546D01*
+X009295Y011568D01*
+X009304Y011588D01*
+X009317Y011606D01*
+X009333Y011622D01*
+X009351Y011635D01*
+X009371Y011644D01*
+X009393Y011650D01*
+X009415Y011652D01*
+X009437Y011650D01*
+X009459Y011644D01*
+X009479Y011635D01*
+X009497Y011622D01*
+X009513Y011606D01*
+X009526Y011588D01*
+X009535Y011568D01*
+X009541Y011546D01*
+X009543Y011524D01*
+X009541Y011502D01*
+X009535Y011480D01*
+X009526Y011460D01*
+X009513Y011442D01*
+X009497Y011426D01*
+X009479Y011413D01*
+X009459Y011404D01*
+X009437Y011398D01*
+X009415Y011396D01*
+X009393Y011398D01*
+X009371Y011404D01*
+X009351Y011413D01*
+X009333Y011426D01*
+X009317Y011442D01*
+X009304Y011460D01*
+X009295Y011480D01*
+X009289Y011502D01*
+X009287Y011524D01*
+X006983Y011800D02*
+X006985Y011836D01*
+X006991Y011871D01*
+X007001Y011906D01*
+X007014Y011939D01*
+X007031Y011970D01*
+X007052Y012000D01*
+X007075Y012027D01*
+X007101Y012051D01*
+X007130Y012072D01*
+X007161Y012090D01*
+X007194Y012104D01*
+X007228Y012115D01*
+X007263Y012122D01*
+X007299Y012125D01*
+X007335Y012124D01*
+X007370Y012119D01*
+X007405Y012110D01*
+X007439Y012098D01*
+X007470Y012081D01*
+X007500Y012062D01*
+X007528Y012039D01*
+X007553Y012013D01*
+X007575Y011985D01*
+X007594Y011955D01*
+X007609Y011922D01*
+X007621Y011888D01*
+X007629Y011853D01*
+X007633Y011818D01*
+X007633Y011782D01*
+X007629Y011747D01*
+X007621Y011712D01*
+X007609Y011678D01*
+X007594Y011645D01*
+X007575Y011615D01*
+X007553Y011587D01*
+X007528Y011561D01*
+X007500Y011538D01*
+X007471Y011519D01*
+X007439Y011502D01*
+X007405Y011490D01*
+X007370Y011481D01*
+X007335Y011476D01*
+X007299Y011475D01*
+X007263Y011478D01*
+X007228Y011485D01*
+X007194Y011496D01*
+X007161Y011510D01*
+X007130Y011528D01*
+X007101Y011549D01*
+X007075Y011573D01*
+X007052Y011600D01*
+X007031Y011630D01*
+X007014Y011661D01*
+X007001Y011694D01*
+X006991Y011729D01*
+X006985Y011764D01*
+X006983Y011800D01*
+X006983Y017233D02*
+X006985Y017269D01*
+X006991Y017304D01*
+X007001Y017339D01*
+X007014Y017372D01*
+X007031Y017403D01*
+X007052Y017433D01*
+X007075Y017460D01*
+X007101Y017484D01*
+X007130Y017505D01*
+X007161Y017523D01*
+X007194Y017537D01*
+X007228Y017548D01*
+X007263Y017555D01*
+X007299Y017558D01*
+X007335Y017557D01*
+X007370Y017552D01*
+X007405Y017543D01*
+X007439Y017531D01*
+X007470Y017514D01*
+X007500Y017495D01*
+X007528Y017472D01*
+X007553Y017446D01*
+X007575Y017418D01*
+X007594Y017388D01*
+X007609Y017355D01*
+X007621Y017321D01*
+X007629Y017286D01*
+X007633Y017251D01*
+X007633Y017215D01*
+X007629Y017180D01*
+X007621Y017145D01*
+X007609Y017111D01*
+X007594Y017078D01*
+X007575Y017048D01*
+X007553Y017020D01*
+X007528Y016994D01*
+X007500Y016971D01*
+X007471Y016952D01*
+X007439Y016935D01*
+X007405Y016923D01*
+X007370Y016914D01*
+X007335Y016909D01*
+X007299Y016908D01*
+X007263Y016911D01*
+X007228Y016918D01*
+X007194Y016929D01*
+X007161Y016943D01*
+X007130Y016961D01*
+X007101Y016982D01*
+X007075Y017006D01*
+X007052Y017033D01*
+X007031Y017063D01*
+X007014Y017094D01*
+X007001Y017127D01*
+X006991Y017162D01*
+X006985Y017197D01*
+X006983Y017233D01*
+X008578Y017509D02*
+X008580Y017531D01*
+X008586Y017553D01*
+X008595Y017573D01*
+X008608Y017591D01*
+X008624Y017607D01*
+X008642Y017620D01*
+X008662Y017629D01*
+X008684Y017635D01*
+X008706Y017637D01*
+X008728Y017635D01*
+X008750Y017629D01*
+X008770Y017620D01*
+X008788Y017607D01*
+X008804Y017591D01*
+X008817Y017573D01*
+X008826Y017553D01*
+X008832Y017531D01*
+X008834Y017509D01*
+X008832Y017487D01*
+X008826Y017465D01*
+X008817Y017445D01*
+X008804Y017427D01*
+X008788Y017411D01*
+X008770Y017398D01*
+X008750Y017389D01*
+X008728Y017383D01*
+X008706Y017381D01*
+X008684Y017383D01*
+X008662Y017389D01*
+X008642Y017398D01*
+X008624Y017411D01*
+X008608Y017427D01*
+X008595Y017445D01*
+X008586Y017465D01*
+X008580Y017487D01*
+X008578Y017509D01*
+M02*