commit 14c71a7d5ad2769dcf1a98442a6532eb4d5da442
Author: Nick Stanley <nstanley@lithium.(none)>
Date:   Mon Apr 2 17:40:22 2012 -0400

    Edited and so it works, with the exception of now losing all of the CBlobResults includes when linking. I'm going to figure that out next.

diff --git a/test_photos/Screenshot-1.png b/test_photos/Screenshot-1.png
deleted file mode 100644
index d3d9d92..0000000
Binary files a/test_photos/Screenshot-1.png and /dev/null differ
diff --git a/test_photos/Screenshot-10.png b/test_photos/Screenshot-10.png
deleted file mode 100644
index c510542..0000000
Binary files a/test_photos/Screenshot-10.png and /dev/null differ
diff --git a/test_photos/Screenshot-11.png b/test_photos/Screenshot-11.png
deleted file mode 100644
index e27ab27..0000000
Binary files a/test_photos/Screenshot-11.png and /dev/null differ
diff --git a/test_photos/Screenshot-12.png b/test_photos/Screenshot-12.png
deleted file mode 100644
index 29b6dba..0000000
Binary files a/test_photos/Screenshot-12.png and /dev/null differ
diff --git a/test_photos/Screenshot-2.png b/test_photos/Screenshot-2.png
deleted file mode 100644
index 6865200..0000000
Binary files a/test_photos/Screenshot-2.png and /dev/null differ
diff --git a/test_photos/Screenshot-3.png b/test_photos/Screenshot-3.png
deleted file mode 100644
index 8233075..0000000
Binary files a/test_photos/Screenshot-3.png and /dev/null differ
diff --git a/test_photos/Screenshot-4.png b/test_photos/Screenshot-4.png
deleted file mode 100644
index 721f9b8..0000000
Binary files a/test_photos/Screenshot-4.png and /dev/null differ
diff --git a/test_photos/Screenshot-5.png b/test_photos/Screenshot-5.png
deleted file mode 100644
index b35eb40..0000000
Binary files a/test_photos/Screenshot-5.png and /dev/null differ
diff --git a/test_photos/Screenshot-6.png b/test_photos/Screenshot-6.png
deleted file mode 100644
index 0716a64..0000000
Binary files a/test_photos/Screenshot-6.png and /dev/null differ
diff --git a/test_photos/Screenshot-7.png b/test_photos/Screenshot-7.png
deleted file mode 100644
index 0d29b2f..0000000
Binary files a/test_photos/Screenshot-7.png and /dev/null differ
diff --git a/test_photos/Screenshot-8.png b/test_photos/Screenshot-8.png
deleted file mode 100644
index a784e1e..0000000
Binary files a/test_photos/Screenshot-8.png and /dev/null differ
diff --git a/test_photos/Screenshot-9.png b/test_photos/Screenshot-9.png
deleted file mode 100644
index aed9b3c..0000000
Binary files a/test_photos/Screenshot-9.png and /dev/null differ
diff --git a/test_photos/Screenshot.png b/test_photos/Screenshot.png
deleted file mode 100644
index d211812..0000000
Binary files a/test_photos/Screenshot.png and /dev/null differ
diff --git a/vision/CMakeLists.txt b/vision/CMakeLists.txt
index 21bb706..6487076 100644
--- a/vision/CMakeLists.txt
+++ b/vision/CMakeLists.txt
@@ -23,6 +23,8 @@ rosbuild_genmsg()
 
 rosbuild_add_executable(v2v3_converter src/v2v3_converter.cpp)
 rosbuild_add_executable(rviz_interactive_target src/rviz_interactive_target.cpp)
+rosbuild_add_executable(newConverter src/converteroverwrite.cpp)
+rosbuild_add_executable(opencvdetect src/opencvdetect.cpp)
 
 #common commands for building c++ executables and libraries
 #rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
diff --git a/vision/manifest.xml b/vision/manifest.xml
index c417bbf..2637441 100644
--- a/vision/manifest.xml
+++ b/vision/manifest.xml
@@ -16,6 +16,7 @@
   <depend package="sensor_msgs"/>
   <depend package="visualization_msgs"/>
   <depend package="interactive_markers"/>
+  <depend package="cv_bridge"/>
 
 </package>
 
diff --git a/vision/msg_gen/cpp/include/vision/TargetDescriptor.h b/vision/msg_gen/cpp/include/vision/TargetDescriptor.h
index 9160657..92ee4d4 100644
--- a/vision/msg_gen/cpp/include/vision/TargetDescriptor.h
+++ b/vision/msg_gen/cpp/include/vision/TargetDescriptor.h
@@ -1,4 +1,4 @@
-/* Auto-generated by genmsg_cpp for file /home/parallels/quadrotor/vision/msg/TargetDescriptor.msg */
+/* Auto-generated by genmsg_cpp for file /home/nstanley/ros_workspace/quadrotor/vision/msg/TargetDescriptor.msg */
 #ifndef VISION_MESSAGE_TARGETDESCRIPTOR_H
 #define VISION_MESSAGE_TARGETDESCRIPTOR_H
 #include <string>
diff --git a/vision/src/v2v3_converter.cpp b/vision/src/v2v3_converter.cpp
index 564d578..15eea7b 100644
--- a/vision/src/v2v3_converter.cpp
+++ b/vision/src/v2v3_converter.cpp
@@ -1,4 +1,4 @@
-#nclude <ros/ros.h>
+#include <ros/ros.h>
 #include <stdio.h>
 #include <vision/TargetDescriptor.h>
 #include <image_transport/image_transport.h>
@@ -8,7 +8,7 @@
 ros::Publisher pub; // publishes Point
 ros::Publisher img_pub; //publishes Image with only blob showing
 
-int hk = 15; // target hsv values
+int hk = 216; // target hsv values
 int sk = 255;
 int vk = 255;
 
@@ -32,6 +32,16 @@ bool isDown(sensor_msgs::Image * img, int p){
 	return (img->data[p + img->width] == img->data[p]);
 }
 
+int min(int a, int b){
+	if (a <= b) return a;
+	else return b;
+}
+
+int max(int a, int b){
+	if (a >= b) return a;
+	else return b;
+}
+
 /* Checks for any adjacent pixel, ensuring a continuous blob.
  */
 bool hasAnAdjacent(sensor_msgs::Image * image, int j){
@@ -122,15 +132,15 @@ void convertToHSV(sensor_msgs::Image * orig){
       int h;
       int s;
       int v; 
-      int min;
+      int low;
 
       // get min, max
       v = max(max(orig->data[i], orig->data[i+1]), orig->data[i+2]);
-      min = min(min(orig->data[i], orig->data[i+1]), orig->data[i+2]);
+      low = min(min(orig->data[i], orig->data[i+1]), orig->data[i+2]);
 
       // set s
       if (v != 0){
-      s = (v - min) / v; 
+      s = (v - low) / v; 
       }
       else s = 0;
 